View Issue Details

IDProjectCategoryView StatusLast Update
0032448Open CASCADEOCCT:Modeling Algorithmspublic2021-11-21 13:50
Reporterasuraven Assigned Toinv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
DescriptionNow checking of a curve on a surface validity processing in finite number of points. At the same time there is an exact method in Geom[Brep]Lib_CheckCurveOnSurface classes. Direct changing an approximate to an exact method entails too many (about 1000) regressions. It is suggested to use the exact method as option for future use.
A path file with implementation of this task form CR29059-6 branch is attached.
Steps To Reproducenot exist
TagsNo tags attached.
Test case numberheal/checkshape/bug32448_1, bug32448_10, bug32448_2, bug32448_3, bug32448_4, bug32448_5, bug32448_6, bug32448_7, bug32448_8, bug32448_9

Attached Files

  • 0029059_6-It-is-necessary-to-have-a-unique-way-of-chec.patch (70,299 bytes)
  • CR32448_full_compare.xlsx (15,017 bytes)
  • 32448win.log (14,312 bytes)

Relationships

related to 0029059 closedbugmaster Open CASCADE Modeling Algorithms - It is necessary to have a unique way of checking of the validity of the edge and its 2D curves 

Activities

asuraven

2021-06-16 18:38

developer  

0029059_6-It-is-necessary-to-have-a-unique-way-of-chec.patch (70,299 bytes)

asuraven

2021-06-16 18:39

developer   ~0101876

git

2021-07-28 17:31

administrator   ~0102853

Branch CR32448 has been created by asuraven.

SHA-1: 19e31a08f1fc1f8a230be3dbd571ee67cee27b62


Detailed log of new commits:

Author: asuraven
Date: Wed Jul 28 13:19:22 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

asuraven

2021-07-28 20:34

developer   ~0102862

git

2021-07-29 12:11

administrator   ~0102866

Branch CR32448 has been updated forcibly by asuraven.

SHA-1: 12309bfe70285364999005b3dc342aebba4e2b83

asuraven

2021-07-29 19:07

developer   ~0102876

git

2021-07-30 18:06

administrator   ~0102900

Branch CR32448_1 has been created by asuraven.

SHA-1: a70c84226fe3237ee820d0eafd60de253fbfe386


Detailed log of new commits:

Author: asuraven
Date: Wed Jul 28 13:19:22 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

asuraven

2021-07-30 18:18

developer   ~0102902

Michael, please make a preliminary review of the code in the CR32448_1 branch. There are no test results in the branch because the server is currently off.
Newly added tests are local OK

msv

2021-08-02 21:38

developer   ~0102943

src/BRepLib/BRepLib_ValidateEdge.hxx
  //! BRepLib_CheckCurveOnSurface class (if theIsExact is true, slowly, but more correctly. 

Close parenthesis is missed.

  //! Default method is exact

This is not true.
Also, add a note that exact method is used only when edge is SameParameter.

Instead of adding the method SetParallel add the optional parameter theMultiThread in Process method. By the way, myIsParallel is not initialized in the constructor.

src/BRepTest/BRepTest_CheckCommands.cxx
Add option -exact into help.

src/BRepCheck/BRepCheck_Result.hxx
  Standard_Boolean myIsParallel;

No need to add this flag. Check for parallel by myMutex.IsNull().

src/BRepCheck/BRepCheck_Edge.cxx
The field myIsExactMethod is not initialized.

src/BRepCheck/BRepCheck_Analyzer.hxx
Please add description of parameters theIsParallel and theIsExact.

Please add option -exact in user guide.

msv

2021-08-02 21:38

developer   ~0102944

git

2021-08-16 19:09

administrator   ~0103245

Branch CR32448_2 has been created by asuraven.

SHA-1: 02d458ee8bb66fa797f5dd4bf35dea7ab7542ab4


Detailed log of new commits:

Author: asuraven
Date: Wed Jul 28 13:19:22 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

asuraven

2021-08-17 11:31

developer   ~0103249

Last edited: 2021-08-19 13:42

git

2021-08-17 11:48

administrator   ~0103251

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: 4ada7fa227852dbeef2363674bed2f5220f92b56

git

2021-08-17 12:07

administrator   ~0103252

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: 6b3c1edfd557d963b1dc8c220883ba07405fbdb3

git

2021-08-17 12:57

administrator   ~0103256

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: a6d5646cba00963682d9a00ecf9b0290b0da2dda

git

2021-08-17 13:20

administrator   ~0103258

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: fe890dec214cfe2b9d8e63f17607918ebe0c7999

git

2021-08-17 16:51

administrator   ~0103263

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: c45e4527ec19f1e13fe421abd1c95b85b05419a9

git

2021-08-30 12:23

administrator   ~0103531

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: a882d0217fdad7c513d920500e0c0140e566f59b

asuraven

2021-08-30 18:11

developer   ~0103555

asuraven

2021-09-01 18:35

developer   ~0103644

git

2021-09-02 11:44

administrator   ~0103663

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: fe14f7d9b6fd204fe06cf09018fdc0c975aab0e2

git

2021-09-21 14:22

administrator   ~0104258

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: 71ec33f371a7a766eb2b8da5392c24b5052a71ae

asuraven

2021-09-21 15:08

developer   ~0104261

git

2021-09-27 13:21

administrator   ~0104395

Branch CR32448_2 has been updated forcibly by asuraven.

SHA-1: af03392cc037d3e6a971cc6f81ef00777cc7f5b6

git

2021-09-30 17:12

administrator   ~0104454

Branch CR32448_2 has been updated by asuraven.

SHA-1: 211028dd269a35df7039079f9290b0cc00b1aeb5


Detailed log of new commits:

Author: asuraven
Date: Thu Sep 30 17:12:13 2021 +0300

    0032448: chrono

asuraven

2021-10-04 17:02

developer  

CR32448_full_compare.xlsx (15,017 bytes)

asuraven

2021-10-04 17:02

developer  

32448win.log (14,312 bytes)

asuraven

2021-10-04 17:03

developer   ~0104505

The task is generally solved, but new tests bug32448_2 bug32448_5 bug32448_10 are killed by CPU limit (300 sec) on Debian80-64. I did a benchmark comparison for test models for windows and Debian in all modes (see CR32448_full_compare.xlsx). Tests showed a decrease in performance on Unix up to 10 times. However, all tests were successful on both sysmems. I assume that the problem of poor performance on Unix is outside of this task, but it is necessary to check which area of the code is causing the slowdown.
The branch CR32448_2 contains, in addition to the main commit, 2 temporary ones: with additional tests and containing the execution time logging. The file 32448win.log contains results of windows time logging, but it is necessary to carry out similar ones for unix, compare the results and make a decision on this issue, for example, just increase cpulimit for failed tests.

msv

2021-10-04 23:14

developer   ~0104510

I propose to increase CPU limit to pass tests in this bug, and create a new bug to investigate the cause of slow work on Linux in compare to Windows.

git

2021-10-11 13:45

administrator   ~0104587

Branch CR32448_3 has been created by andrey.kaftasev_159541.

SHA-1: ed7394c324d3057f03a1f9322394592e5a3ad618


Detailed log of new commits:

Author: akaftasev
Date: Mon Oct 11 13:44:57 2021 +0300

    increase cpulimit

Author: asuraven
Date: Wed Jul 28 13:19:22 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

Author: asuraven
Date: Thu Sep 2 11:41:49 2021 +0300

    0032448: temporary tests

Author: asuraven
Date: Thu Sep 30 17:12:13 2021 +0300

    0032448: chrono

git

2021-10-11 16:16

administrator   ~0104589

Branch CR32448_3 has been updated by andrey.kaftasev_159541.

SHA-1: 3a57936933e97c14ad2a460578ad57d95bd402aa


Detailed log of new commits:

Author: akaftasev
Date: Mon Oct 11 16:16:35 2021 +0300

    update tests for use only short info

git

2021-10-12 16:15

administrator   ~0104613

Branch CR32448_3 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 7bc098c075e047877d96b6aecb921a5b79b4a415

git

2021-10-26 13:45

administrator   ~0104874

Branch CR32448_3 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 32ad18db3f31106e23c0ba35e7842be4b63eb20e

git

2021-10-26 13:47

administrator   ~0104875

Branch CR32448_3 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: b021231f0a5fda3161fe6541eeacded0a680647b

akaftasev

2021-10-27 11:03

developer   ~0104892

Last edited: 2021-10-27 13:17

Branch for review:
OCCT - CR32448_4

Results of testing:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32448_3-master-akaftasev/view/COMPARE/

kgv

2021-10-27 12:17

developer   ~0104895

Last edited: 2021-10-27 12:19

+  //! Calculating in finite number of points
+  void ProcessApprox();
+
+  //! Calculating by using BRepLib_CheckCurveOnSurface class
+  void ProcessExact(Standard_Boolean theIsMultiThread);

It is preferred naming private/protected methods starting with lower-case.

+  void SetExactMethod(Standard_Boolean theIsExact)
+  {
+    myIsExactMethod = theIsExact;
+  }

Adding a getter as well would look more natural.

+      Standard_Boolean aRunParallel = !myMutex.IsNull();

toRunParallel.

+  void ProcessExact(Standard_Boolean theIsMultiThread);
+
   Handle(Adaptor3d_Curve) myReferenceCurve;

Please put a "private: " separator between methods and class fields.

+  Standard_EXPORT void Process(Standard_Boolean theIsMultiThread = Standard_False);

This is unusual to pass multi-threading flag as an argument to Perform()/Process() methods - normally flag is stored as a class property with dedicated getter/setter. The same, I guess, is applicable to BRepCheck_Analyzer.
But I would follow Mikhail suggestion on this aspect to decide if this specific class should be considered as an exception, as class looks internal anyway.

git

2021-10-27 13:17

administrator   ~0104898

Branch CR32448_4 has been created by andrey.kaftasev_159541.

SHA-1: 38b5217e86c1b048fedd1dd45a4f7470a5a2228b


Detailed log of new commits:

Author: akaftasev
Date: Wed Oct 27 13:15:18 2021 +0300

    remarks from kgv

Author: akaftasev
Date: Tue Oct 12 16:14:08 2021 +0300

    0032448: increase cpulimit

Author: asuraven
Date: Wed Jul 28 13:19:22 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

msv

2021-10-27 16:54

developer   ~0104904

dox/user_guides/draw_test_harness/draw_test_harness.md
src/BRepTest/BRepTest_CheckCommands.cxx
Update the checkshape command line with the new option.

tests/heal/begin
# To prevent loops limit to 5 minutes
The comment is not true. Avoid exact value in it.

  BRepCheck_Analyzer (const TopoDS_Shape& S,
                      const Standard_Boolean GeomControls = Standard_True,
                      const Standard_Boolean theIsParallel = Standard_False,
                      const Standard_Boolean theIsExact = Standard_False)

It is a bad practise to make heavy constructor API when adding a new feature. Please, add corresponding get/set methods. The same is for isParallel flag, even if it was added earlier.

I support the proposal of Kirill to remove the flag theIsMultithread/isParallel from Perform/Process/Put methods.

git

2021-10-27 20:11

administrator   ~0104910

Branch CR32448_4 has been updated by andrey.kaftasev_159541.

SHA-1: dcddd6b535cea346e36c909f07dcbbf038f18817


Detailed log of new commits:

Author: akaftasev
Date: Wed Oct 27 17:50:42 2021 +0300

    remarks from msv

akaftasev

2021-10-28 14:45

developer   ~0104938

Branch for review:
OCCT - CR32448_4

msv

2021-10-28 17:03

developer   ~0104944

  Standard_EXPORT Standard_Boolean GetParallel()
  {
    return myIsParallel;
  }


Do not use Standard_EXPORT in inline methods (carefully check all your changes).
Getter of boolean flag is better to name IsParallel.

  Standard_EXPORT Standard_Boolean GetExactMethod()

The same remarks.

Why in src/BRepLib/BRepLib_ValidateEdge.hxx you missed the long description of the method SetExactMethod? Also, the comments to SetParallel are absent and to GetParallel are wrong.

Please change src/BRepLib/BRepLib_CheckCurveOnSurface.cxx also to add set/get methods of parallel flag.

  //! Gets validate edge method
  Standard_EXPORT Standard_Boolean SetExactMethod()

IsExactMethod

In src/BRepCheck/BRepCheck_Analyzer.hxx add the comments to Set/IsParallel methods.

Update upgrade guide as public methods are changed.

git

2021-10-28 19:24

administrator   ~0104948

Branch CR32448_5 has been created by andrey.kaftasev_159541.

SHA-1: d6373bbdf683e5252a4565c5ff5ce0c5951f45b0


Detailed log of new commits:

Author: akaftasev
Date: Thu Oct 28 19:23:37 2021 +0300

    0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface
    
    Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.

msv

2021-10-29 13:45

developer   ~0104961

In the classes BRepCheck_Analyzer, BRepLib_CheckCurveOnSurface, initialize the new flags in the constructor (as it is done usually for fields) rather than in the method Init.

In BRepLib_ValidateEdge, you forgot to initialize the new flag in the constructor.

In GeomLib_CheckCurveOnSurface, remove initialization of myIsParallel in the method Init. It must be initialized only in the constructor. The user has the setter to change it if needed.

git

2021-10-29 14:05

administrator   ~0104962

Branch CR32448_5 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 8c5c0869764e730a8d19dddd46e2f357142bdd65

msv

2021-10-29 21:35

developer   ~0104970

BRepLib_CheckCurveOnSurface default constructor does not initialize the new flag.

In the class BRepLib_ValidateEdge, the fields have the following order:
  Standard_Boolean myIsExactMethod;
  Standard_Boolean myIsMultiThread;
But in the constructor you initialize them in another order:
  myIsMultiThread(Standard_False),
  myIsExactMethod(Standard_False)
It will generate warning on some gcc version. The fields must be initialized in the order of their definition.

git

2021-11-01 10:46

administrator   ~0104984

Branch CR32448_5 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 0d7e431c1fbea11a646c4d97f03504542afb932d

msv

2021-11-01 18:05

developer   ~0104986

BRepLib_CheckCurveOnSurface()
  {
    myIsParallel = Standard_False;
  }

Please use field initialization instead of assignment.

git

2021-11-01 18:08

administrator   ~0104987

Branch CR32448_5 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: f8cfdec4db1860d24b9467883374f136bd41bb7b

msv

2021-11-01 19:41

developer   ~0104992

For integration:
occt - CR32448_5
products - none

msv

2021-11-01 19:43

developer   ~0104993

As the target version has changed to 7.7.0 then please update the upgrade.md, placing the new notes to a new chapter.

git

2021-11-11 13:54

administrator   ~0105127

Branch CR32448_5 has been updated forcibly by asuraven.

SHA-1: 3220b5f4b4d1280e585b883cc0b059662a962cf6

asuraven

2021-11-11 13:55

developer   ~0105128

upgrade.md has been updated

msv

2021-11-12 20:06

developer   ~0105164

For integration:
occt - CR32448_5
products - none

bugmaster

2021-11-21 12:31

administrator   ~0105287

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-21 13:00

administrator   ~0105301

Branch CR32448 has been deleted by mnt.

SHA-1: 12309bfe70285364999005b3dc342aebba4e2b83

git

2021-11-21 13:00

administrator   ~0105302

Branch CR32448_1 has been deleted by mnt.

SHA-1: a70c84226fe3237ee820d0eafd60de253fbfe386

git

2021-11-21 13:00

administrator   ~0105303

Branch CR32448_2 has been deleted by mnt.

SHA-1: 211028dd269a35df7039079f9290b0cc00b1aeb5

git

2021-11-21 13:00

administrator   ~0105304

Branch CR32448_3 has been deleted by mnt.

SHA-1: b021231f0a5fda3161fe6541eeacded0a680647b

git

2021-11-21 13:00

administrator   ~0105305

Branch CR32448_4 has been deleted by mnt.

SHA-1: dcddd6b535cea346e36c909f07dcbbf038f18817

git

2021-11-21 13:00

administrator   ~0105306

Branch CR32448_5 has been deleted by mnt.

SHA-1: 3220b5f4b4d1280e585b883cc0b059662a962cf6

Related Changesets

occt: master 0ffecc2f

2021-10-28 16:23:37

akaftasev


Committer: inv Details Diff
0032448: Modeling Algorithms - Provide exact validating (as option) using GeomLib_CheckCurveOnSurface

Add '-exact' option to checkshape command to use exact method to validate edges using BRepLib_ValidateEdge class. Default mode is calculating in finite number of points.
Affected Issues
0032448
mod - dox/upgrade/upgrade.md Diff File
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff File
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff File
mod - src/BRepCheck/BRepCheck_Analyzer.hxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.hxx Diff File
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.cxx Diff File
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.hxx Diff File
mod - src/BRepLib/BRepLib_ValidateEdge.cxx Diff File
mod - src/BRepLib/BRepLib_ValidateEdge.hxx Diff File
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff File
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff File
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.hxx Diff File
mod - src/IntTools/IntTools_Tools.cxx Diff File
mod - tests/heal/begin Diff File
mod - tests/heal/checkshape/bug27814_10 Diff File
mod - tests/heal/checkshape/bug27814_11 Diff File
add - tests/heal/checkshape/bug32448_1 Diff File
add - tests/heal/checkshape/bug32448_10 Diff File
add - tests/heal/checkshape/bug32448_2 Diff File
add - tests/heal/checkshape/bug32448_3 Diff File
add - tests/heal/checkshape/bug32448_4 Diff File
add - tests/heal/checkshape/bug32448_5 Diff File
add - tests/heal/checkshape/bug32448_6 Diff File
add - tests/heal/checkshape/bug32448_7 Diff File
add - tests/heal/checkshape/bug32448_8 Diff File
add - tests/heal/checkshape/bug32448_9 Diff File

Issue History

Date Modified Username Field Change
2021-06-16 18:38 asuraven New Issue
2021-06-16 18:38 asuraven Assigned To => msv
2021-06-16 18:38 asuraven File Added: 0029059_6-It-is-necessary-to-have-a-unique-way-of-chec.patch
2021-06-16 18:38 asuraven Relationship added related to 0029059
2021-06-16 18:39 asuraven Note Added: 0101876
2021-07-28 17:31 git Note Added: 0102853
2021-07-28 20:34 asuraven Note Added: 0102862
2021-07-29 12:11 git Note Added: 0102866
2021-07-29 19:07 asuraven Note Added: 0102876
2021-07-30 18:06 git Note Added: 0102900
2021-07-30 18:18 asuraven Note Added: 0102902
2021-07-30 18:18 asuraven Status new => resolved
2021-07-30 18:18 asuraven Steps to Reproduce Updated
2021-08-02 21:38 msv Note Added: 0102943
2021-08-02 21:38 msv Note Added: 0102944
2021-08-02 21:38 msv Assigned To msv => asuraven
2021-08-02 21:38 msv Status resolved => assigned
2021-08-16 19:09 git Note Added: 0103245
2021-08-17 11:31 asuraven Note Added: 0103249
2021-08-17 11:48 git Note Added: 0103251
2021-08-17 12:07 git Note Added: 0103252
2021-08-17 12:57 git Note Added: 0103256
2021-08-17 13:20 git Note Added: 0103258
2021-08-17 16:51 git Note Added: 0103263
2021-08-19 13:42 asuraven Note Edited: 0103249
2021-08-30 12:23 git Note Added: 0103531
2021-08-30 18:11 asuraven Note Added: 0103555
2021-09-01 18:35 asuraven Note Added: 0103644
2021-09-02 11:44 git Note Added: 0103663
2021-09-21 14:22 git Note Added: 0104258
2021-09-21 15:08 asuraven Note Added: 0104261
2021-09-27 13:21 git Note Added: 0104395
2021-09-30 17:12 git Note Added: 0104454
2021-10-04 17:02 asuraven File Added: CR32448_full_compare.xlsx
2021-10-04 17:02 asuraven File Added: 32448win.log
2021-10-04 17:03 asuraven Note Added: 0104505
2021-10-04 23:14 msv Note Added: 0104510
2021-10-07 15:03 szy Assigned To asuraven => akaftasev
2021-10-11 13:45 git Note Added: 0104587
2021-10-11 16:16 git Note Added: 0104589
2021-10-12 16:15 git Note Added: 0104613
2021-10-26 13:45 git Note Added: 0104874
2021-10-26 13:47 git Note Added: 0104875
2021-10-27 11:03 akaftasev Note Added: 0104892
2021-10-27 11:03 akaftasev Assigned To akaftasev => msv
2021-10-27 11:03 akaftasev Status assigned => resolved
2021-10-27 12:17 kgv Note Added: 0104895
2021-10-27 12:19 kgv Note Edited: 0104895
2021-10-27 13:17 git Note Added: 0104898
2021-10-27 13:17 akaftasev Note Edited: 0104892
2021-10-27 16:54 msv Note Added: 0104904
2021-10-27 16:54 msv Assigned To msv => akaftasev
2021-10-27 16:54 msv Status resolved => assigned
2021-10-27 20:11 git Note Added: 0104910
2021-10-28 14:45 akaftasev Note Added: 0104938
2021-10-28 14:45 akaftasev Assigned To akaftasev => msv
2021-10-28 14:45 akaftasev Status assigned => resolved
2021-10-28 17:03 msv Note Added: 0104944
2021-10-28 17:04 msv Assigned To msv => akaftasev
2021-10-28 17:04 msv Status resolved => assigned
2021-10-28 19:24 git Note Added: 0104948
2021-10-29 10:15 akaftasev Assigned To akaftasev => msv
2021-10-29 10:15 akaftasev Status assigned => resolved
2021-10-29 13:45 msv Note Added: 0104961
2021-10-29 13:45 msv Assigned To msv => akaftasev
2021-10-29 13:45 msv Status resolved => assigned
2021-10-29 14:05 git Note Added: 0104962
2021-10-29 14:05 akaftasev Assigned To akaftasev => msv
2021-10-29 14:05 akaftasev Status assigned => resolved
2021-10-29 21:35 msv Note Added: 0104970
2021-10-29 21:35 msv Assigned To msv => akaftasev
2021-10-29 21:35 msv Status resolved => assigned
2021-11-01 10:46 git Note Added: 0104984
2021-11-01 15:43 akaftasev Assigned To akaftasev => msv
2021-11-01 15:43 akaftasev Status assigned => resolved
2021-11-01 18:05 msv Note Added: 0104986
2021-11-01 18:05 msv Assigned To msv => akaftasev
2021-11-01 18:05 msv Status resolved => assigned
2021-11-01 18:08 git Note Added: 0104987
2021-11-01 18:08 akaftasev Assigned To akaftasev => msv
2021-11-01 18:08 akaftasev Status assigned => resolved
2021-11-01 18:11 szy Target Version 7.6.0 => 7.7.0
2021-11-01 19:41 msv Note Added: 0104992
2021-11-01 19:41 msv Assigned To msv => bugmaster
2021-11-01 19:41 msv Status resolved => reviewed
2021-11-01 19:43 msv Note Added: 0104993
2021-11-01 19:43 msv Assigned To bugmaster => akaftasev
2021-11-01 19:43 msv Status reviewed => assigned
2021-11-11 12:47 szy Assigned To akaftasev => asuraven
2021-11-11 13:54 git Note Added: 0105127
2021-11-11 13:55 asuraven Note Added: 0105128
2021-11-11 13:55 asuraven Assigned To asuraven => msv
2021-11-11 13:55 asuraven Status assigned => resolved
2021-11-12 20:06 msv Note Added: 0105164
2021-11-12 20:06 msv Assigned To msv => bugmaster
2021-11-12 20:06 msv Status resolved => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:31 bugmaster Note Added: 0105287
2021-11-21 12:46 inv Changeset attached => occt master 0ffecc2f
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-11-21 13:00 git Note Added: 0105301
2021-11-21 13:00 git Note Added: 0105302
2021-11-21 13:00 git Note Added: 0105303
2021-11-21 13:00 git Note Added: 0105304
2021-11-21 13:00 git Note Added: 0105305
2021-11-21 13:00 git Note Added: 0105306
2021-11-21 13:50 smoskvin Test case number => heal/checkshape/bug32448_1, bug32448_10, bug32448_2, bug32448_3, bug32448_4, bug32448_5, bug32448_6, bug32448_7, bug32448_8, bug32448_9